header {
    position: sticky;
    top: 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: var(--header-background-color);
    padding: 10px var(--screen-horizontal-margin);
    z-index: 1000;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.6);
    transition: all 0.3s ease-in-out;
    animation: slideDown 0.5s ease-in-out;
    backdrop-filter: blur(10px);
}

header .branding {
    display: flex;
    flex-direction: row;
}

header .branding a {
    display: flex;
    flex-direction: row;
    align-items: center;
}

header .branding img {
    margin-right: 10px;
    border-radius: 50%;
    transition: transform 0.3s ease-in-out;
}

header nav ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
}

header nav ul li {
    margin: 0 10px;
}

header nav ul li a {
    text-decoration: none;
    color: #ffffffc4;
    font-size: 1rem;
    padding: 8px 15px;
    border-radius: 5px;
    transition: background-color 0.3s ease-in-out, color 0.3s ease-in-out;
}

header nav ul li a:hover {
    background-color: var(--link-text-color);
    color: #ffffff;
}

/* Responsive Design */
@media (max-width: 768px) {
    header nav ul {
        flex-direction: row;
        align-items: flex-start;
        background-color: #1e1e1e;
        padding: 10px;
        border-radius: 5px;
    }

    header nav ul li {
        margin: 5px 0;
    }

    header {
        flex-wrap: wrap;
    }
}

@media (max-width: 480px) {
    header {
        display: none;
    }

}

@keyframes slideDown {
    from {
        transform: translateY(-100%);
    }

    to {
        transform: translateY(0);
    }
}

/* Sidebar */
.sidebar {
    width: min-content;
    padding: var(--padding-medium) var(--padding-medium) var(--padding-medium) 0;
    max-width: var(--screen-horizontal-margin);
    position: fixed;
    background-color: rgba(83, 83, 83, 0.613) !important;
    width: 50px;
    height: fill;
    z-index: 1000;
    border-radius: 0 0 2dvh 0;
    padding: 10px;
}

.sidebar .hamburger {
    background-color: #e1e1e1c6;
    border-radius: 5px;
    display: none;
    color: white;
}

.sidebar a {
    color: white;
}

.sidebar nav ul {
    display: flex;
    flex-direction: column;
    width: max-content;
    list-style: none;
    padding: 0;
}

.sidebar nav ul li a i {
    padding: var(--padding-medium);
    height: 18px;
    width: 18px;
    margin-right: 15px;
    border-radius: 50%;
    transition: all 0.2s ease-in-out;
}

.sidebar nav ul li:hover a i {
    box-shadow: 0 0 0 6px rgba(255, 255, 255, 0.25);
    background-color: #1e1e1e78;
}

.sidebar nav ul li a span {
    color: transparent;
    background-color: transparent;
    border-radius: var(--border-radius-medium);
    transition: all 0.2s ease-in-out;
}

.sidebar nav ul li:hover a span {
    color: white;
    background-color: rgb(239 239 239 / 29%);
    padding: var(--padding-medium);
}

@media (max-width: 590px) {
    .sidebar {
        background-color: transparent !important;
    }

    .sidebar .hamburger {
        display: block;
    }

    .sidebar .hamburger:hover {
        box-shadow: 0 0 0 3px rgba(255, 255, 255, 0.349);
    }

    .sidebar nav ul {
        display: none;
    }

    .sidebar:hover nav ul {
        display: block;
        transition: all 0.3s ease-in-out;
    }

    .sidebar:hover nav ul li i {
        border-radius: 0;
        background-color: rgb(94, 94, 94);
    }

    .sidebar nav ul li:hover a span {
        background-color: rgba(128, 128, 128, 1);
    }
}

/* Page Heading */
.heading {
    /* Page heading is skipped on home page for allowing hero to take maximum space */
    padding-left: var(--padding-large);
    margin-bottom: var(--margin-medium);
}

/* Footer */

.footer {
    background: var(--footer-background);
    padding: var(--padding-medium) var(--screen-horizontal-margin);
}

@media (max-width: 1000px) {
    .footer button {
        font-size: 0.7rem;
    }
}

@media (max-width: 768px) {
    .footer button {
        font-size: 0.5rem;
        padding: 0.8em;
    }
}

.footer-container {
    max-width: 1200px;
    margin: 0 auto;
}

.footer-columns {
    display: flex;
    justify-content: space-between;
    margin-bottom: 20px;
}

.footer-column {
    padding: 0 var(--padding-large);
}

.footer-column h3 {
    margin-bottom: 10px;
    font-size: 18px;
    color: #ffffff;
}

.footer-column a {
    display: block;
    color: #bbbbbb;
    text-decoration: none;
    margin-bottom: 5px;
    transition: color 0.3s;
}

.footer-column a:hover {
    color: #ffffff;
    text-decoration: underline;
}

.footer-bottom {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-top: 1px solid #333333;
    padding-top: 15px;
}

.social-media a {
    margin-right: 15px;
    color: #bbbbbbd0;
    text-decoration: none;
    font-size: 14px;
    transition: color 0.3s;
}

.social-media a:hover {
    color: #ffffff;
}

.footer-buttons button {
    border: none;
    margin-left: 10px;
    border-radius: 10dvh;
    transition: background-color 0.3s;
}

#footer-joinNow-button {
    background-color: #333333;
    color: azure;
}

#footer-joinNow-button:hover {
    background-color: #404040;
}

#footer-getInTouch-button {
    background-color: #ffffff;
    color: #333333;
    transition: all 0.2s ease-in-out;
}

#footer-getInTouch-button:hover {
    box-shadow: 0 0 0 6px rgba(255, 255, 255, 0.14);
}

#go-top {
    background-color: #1e1e1e77;
    color: white;
    transition: all 0.3s ease-in-out;
}

#go-top:hover {
    box-shadow: 0 0 0 5px rgba(255, 255, 255, 0.171);
}

#go-top:active {
    transform: scale(0.95);
}